#include "widget.h"
#include "ui_widget.h"
#include <QMessageBox>
#include <QDebug>
//____________________________________________________________________
Widget::Widget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::Widget)
{
    ui->setupUi(this);
    srand(time(0));     // initialisation de la graine des randoms
    ui->groupBox->setVisible(false);
    this->setWindowTitle("nombre à deviner");   // le titre de la fenêtre principale
    ui->progressBar->setFormat("%v chances");   // le format d'affichage du progressBar
}

//____________________________________________________________________
Widget::~Widget()
{
    delete ui;
}

//____________________________________________________________________
void Widget::on_pushButton_clicked()
{
 n = rand()%100;        // génération du nombre secret
 qDebug()<<n;           // pour mettre au point facilement
 ui->progressBar->setValue(10);
 ui->groupBox->setVisible(true);
}
//___________________________________________________________________
void Widget::on_pushButton_2_clicked()
{
    int valeur = ui->spinBox->value();              // la valeur à tester
    if (valeur<n)ui->radioButton->setChecked(true); // pour afficher plus petit
       else if (valeur>n)ui->radioButton_2->setChecked(true);   // ou plus grand
            else {  // on a trouvé le nombre secret, c'est gagné!
                    ui->groupBox->setVisible(false);
                    QMessageBox::information(this,"gagné!","vous avez gangé");
                }
  // à chaque fois on perd une chance
  int chances = ui->progressBar->value();
  chances--;
  if (chances==0) ui->groupBox->setVisible(false);  // c'est perdu!
  ui->progressBar->setValue(chances);
}
